import { Env, Session } from "../types.js";
import { type CookieAttributes } from "../utils/cookie.js";
export declare const SESSION_COOKIE_NAME = "auth_session";
export type CookieOption = {
    sameSite?: "strict" | "lax";
    path?: string;
    domain?: string;
};
export declare const createSessionCookie: (session: Session | null, env: Env, options: CookieOption) => Cookie;
export declare class Cookie {
    constructor(name: string, value: string, options: CookieAttributes);
    name: string;
    value: string;
    attributes: CookieAttributes;
    serialize: () => string;
}
